<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lucky Dice</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="container">
        <img src="images/people-playing-casino.jpg" alt="cover" id="img-cover">
        <h1>Chào mừng đến với Lucky Dice Casino Made by Iron</h1>
        <img src="images/dice.png" alt="dice" width="10%" id="img-dice">
        <button onclick="btnDiceClick()">Ném xúc xắc</button>
        <h2 id="h2-tag">Chúc mừng</h2>
    </div>
    <script>
        
        function btnDiceClick(){
            var h2Tag = document.getElementById("h2-tag");
            var imgTag = document.getElementById("img-dice");

            const rndInt = randomIntFromInterval(1, 6);
            console.log(rndInt);

            switch(rndInt){
                case 1:
                    imgTag.src = "./images/1.png";
                    break;
                case 2:
                    imgTag.src = "./images/2.png";
                    break;
                case 3: 
                    imgTag.src = "./images/3.png";
                    break;
                case 4:
                    imgTag.src = "./images/4.png";
                    break;
                case 5:
                    imgTag.src = "./images/5.png";
                    break;
                case 6:
                    imgTag.src = "./images/6.png";
                    break;
            }

            if(rndInt < 3){
                h2Tag.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
                h2Tag.style.color = "purple";
                h2Tag.style.display = "block";          
            } else if (rndInt > 3) {
                h2Tag.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
                h2Tag.style.color = "orange";
                h2Tag.style.display = "block";
            }
        }
                
        function randomIntFromInterval(min, max) { // min and max included 
            return Math.floor(Math.random() * (max - min + 1) + min)
        }

        
    </script>
</body>
</html>